Foreman - Bug #33440

"OAuth map users" setting has a bad explanation
09/09/2021 11:33 AM - Dominik Matoulek

Status: Closed
Priority: Normal
Assignee: Dominik Matoulek
Category: Settings
Target version: 3.1.0
Difficulty: Fixed in Releases: 3.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8773
Description

In settings, there is a "OAuth map users" where explanation says "Foreman will map users by username in request-header. If this is

set to false, OAuth requests will have admin rights."

The problem is, that the settings has options "Yes" and "No". This can be confusing for users.

| found that during fixing of #33439.

Related issues:
Related to Katello - Bug #33439: Foreman setting has wrong description for a ...

Closed

Associated revisions

Revision f25a7620 - 09/14/2021 09:24 AM - Dominik Matoulek

Fixes #33440 - improve description for "Oauth map users" setting

This setting has "Yes" and "No" options in Ul so description should not use true/false.

History

#1 - 09/09/2021 11:53 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8773 added

#2 - 09/09/2021 12:13 PM - Dominik Matoulek

- Related to Bug #33439: Foreman setting has wrong description for a couple of parameters under Content Tab on the Foreman WebUI added

#3 - 09/14/2021 09:24 AM - The Foreman Bot
- Fixed in Releases 3.2.0 added

#4 - 09/14/2021 10:08 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f25a76205913d2b2b00db100bef2007d1d0a2ce8.

#5 - 09/16/2021 10:44 AM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/foreman/pull/8773)
- Fixed in Releases 3.1.0 added

- Fixed in Releases deleted (3.2.0)

#6 - 09/16/2021 11:05 AM - Ewoud Kohl van Wijngaarden

- Subject changed from "OAuth map users" setting has bad explanation to "OAuth map users" setting has a bad explanation
https://projects.theforeman.org/issues/33439
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f25a76205913d2b2b00db100bef2007d1d0a2ce8

- Target version set to 3.1.0
- Pull request https://github.com/theforeman/foreman/pull/8773 added
- Fixed in Releases deleted (3.1.0)

#7 - 09/16/2021 11:06 AM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 3.1.0 added
